IFAPI_EVENT_UNION Union Reference

`#include <ifapi_eventlog.h>`

## Data Fields

IFAPI_TSS_EVENT | tss_event
IFAPI_IMA_EVENT | ima_event
IFAPI_FIRMWARE_EVENT | firmware_event
TPMS_EVENT_CELMGT | cel_event

## Detailed Description

Type for representing sub types of FAPI events

## Field Documentation

## cel_event

TPMS_EVENT_CELMGT cel_event

Cononical eventlol management event.

## firmware_event

IFAPI_FIRMWARE_EVENT firmware_event

Firmware event information

## ima_event

IFAPI_IMA_EVENT ima_event

IMA event information

## tss_event

IFAPI_TSS_EVENT tss_event

TSS event information

The documentation for this union was generated from the following file:

- src/tss2-fapi/ifapi_eventlog.h